Last Comment Bug 570022 - Tracking bug for build and release of Firefox 4.0beta1
: Tracking bug for build and release of Firefox 4.0beta1
Status: RESOLVED FIXED
[releases]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86 All
P3 normal (vote)
: ---
Assigned To: Rail Aliiev [:rail] ⌚️ET
:
:
Mentors:
Depends on: 575490 575524 575552 575559 575566 575767 577113 593615
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 14:51 PDT by John O'Duinn [:joduinn] (please use "needinfo?" flag)
Modified: 2013-08-12 21:54 PDT (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
automation bumps for 4.0b1 (2.92 KB, patch)
2010-06-24 10:29 PDT, Chris AtLee [:catlee]
bhearsum: review+
Details | Diff | Splinter Review
Use official branding (3.53 KB, patch)
2010-06-24 10:59 PDT, Chris AtLee [:catlee]
bhearsum: review+
nthomas: checked‑in+
Details | Diff | Splinter Review
version bumps for mozilla-central to 4.0b2pre/1.9.3b2pre (979 bytes, patch)
2010-06-24 13:08 PDT, Chris AtLee [:catlee]
bhearsum: review+
Details | Diff | Splinter Review
version bumps for mozilla-central to 4.0b2pre/2.0b2pre (739 bytes, patch)
2010-06-28 17:33 PDT, Nick Thomas [:nthomas]
jhford: review+
nthomas: checked‑in+
Details | Diff | Splinter Review
automation bumps for 4.0b1 (v2) (3.13 KB, patch)
2010-06-28 17:35 PDT, Nick Thomas [:nthomas]
jhford: review+
nthomas: checked‑in+
Details | Diff | Splinter Review
Keep nightly updates working (1.14 KB, patch)
2010-06-28 18:43 PDT, Nick Thomas [:nthomas]
morgamic: review+
nthomas: checked‑in+
Details | Diff | Splinter Review
Fix update verify configs (6.60 KB, patch)
2010-06-28 23:57 PDT, Rail Aliiev [:rail] ⌚️ET
john+bugzilla: review+
nthomas: checked‑in+
Details | Diff | Splinter Review
build2 configs (2.02 KB, patch)
2010-06-29 07:34 PDT, Rail Aliiev [:rail] ⌚️ET
catlee: review+
catlee: checked‑in+
Details | Diff | Splinter Review
Disable update verify bump (653 bytes, patch)
2010-06-29 07:56 PDT, Rail Aliiev [:rail] ⌚️ET
catlee: review+
Details | Diff | Splinter Review
Build2 update verify patch (6.66 KB, patch)
2010-06-29 07:58 PDT, Rail Aliiev [:rail] ⌚️ET
catlee: review+
catlee: checked‑in+
Details | Diff | Splinter Review

Description User image John O'Duinn [:joduinn] (please use "needinfo?" flag) 2010-06-03 14:51:29 PDT
Waiting for "go to build".
Comment 1 User image Chris AtLee [:catlee] 2010-06-24 10:29:13 PDT
Created attachment 453771 [details] [diff] [review]
automation bumps for 4.0b1
Comment 2 User image Ben Hearsum (:bhearsum) 2010-06-24 10:36:05 PDT
Comment on attachment 453771 [details] [diff] [review]
automation bumps for 4.0b1

This looks fine for a release config, but the mozconfigs need a branding change:
ac_add_options --enable-official-branding
Comment 3 User image Chris AtLee [:catlee] 2010-06-24 10:59:04 PDT
Created attachment 453784 [details] [diff] [review]
Use official branding
Comment 4 User image Rail Aliiev [:rail] ⌚️ET 2010-06-24 11:13:56 PDT
Comment on attachment 453771 [details] [diff] [review]
automation bumps for 4.0b1

>diff --git a/mozilla2/release-firefox-mozilla-central.py b/mozilla2/release-firefox-mozilla-central.py


Don't forget to change tuxedoConfig to 'firefox-tuxedo.ini'
Comment 5 User image Chris AtLee [:catlee] 2010-06-24 11:20:36 PDT
(In reply to comment #4)
> (From update of attachment 453771 [details] [diff] [review])
> >diff --git a/mozilla2/release-firefox-mozilla-central.py b/mozilla2/release-firefox-mozilla-central.py
> 
> 
> Don't forget to change tuxedoConfig to 'firefox-tuxedo.ini'

Thanks.  It's fixed now.
Comment 6 User image Chris AtLee [:catlee] 2010-06-24 13:08:08 PDT
Created attachment 453826 [details] [diff] [review]
version bumps for mozilla-central to 4.0b2pre/1.9.3b2pre
Comment 7 User image Nick Thomas [:nthomas] 2010-06-28 17:23:12 PDT
Comment on attachment 453784 [details] [diff] [review]
Use official branding

Landed as d4bbba3bc8a4, with --enable-tests in the linux64 mozconfig rather than --disable-tests.
Comment 8 User image John O'Duinn [:joduinn] (please use "needinfo?" flag) 2010-06-28 17:29:00 PDT
Looks like we'll get "go to build" during NZ daytime, so pushing towards nthomas.
Comment 9 User image Nick Thomas [:nthomas] 2010-06-28 17:33:14 PDT
Created attachment 454715 [details] [diff] [review]
version bumps for mozilla-central to 4.0b2pre/2.0b2pre

Per beltzner's request we bump the gecko to 2.0 after tagging.
Comment 10 User image Nick Thomas [:nthomas] 2010-06-28 17:35:54 PDT
Created attachment 454718 [details] [diff] [review]
automation bumps for 4.0b1 (v2)

Updated milestone, expecting
 sourceRepoRevision = '682123761e99'
but tests still in progress.
Comment 11 User image Nick Thomas [:nthomas] 2010-06-28 18:43:29 PDT
Created attachment 454739 [details] [diff] [review]
Keep nightly updates working

Mike, this will keep nightly updates for m-c and its friends working, with no change for the 4.0 catchup that's there now (bug 518508). I'd like to land and deploy this before tomorrows nightlies, sorry for the late notice.

Not clear yet what we'll do once 4.0 builds move to the mozilla-2.0 branch (bug 569966).
Comment 12 User image Michael Morgan [:morgamic] 2010-06-28 19:06:19 PDT
Comment on attachment 454739 [details] [diff] [review]
Keep nightly updates working

Looks good.  No errors.
Comment 13 User image Nick Thomas [:nthomas] 2010-06-28 19:44:25 PDT
Comment on attachment 454739 [details] [diff] [review]
Keep nightly updates working

Checking in config-dist.php;
/cvsroot/mozilla/webtools/aus/xml/inc/config-dist.php,v  <--  config-dist.php
new revision: 1.84; previous revision: 1.83
done

Moved AUS2_PRODUCTION tag onto rev 1.84, and tagged all of aus/xml with AUS2_RTM_201006281941. I'm mark the push bug a blocker on this one.
Comment 14 User image Nick Thomas [:nthomas] 2010-06-28 20:01:52 PDT
Comment on attachment 454718 [details] [diff] [review]
automation bumps for 4.0b1 (v2)

http://hg.mozilla.org/build/buildbot-configs/rev/5ae451f92a7d
Comment 15 User image Nick Thomas [:nthomas] 2010-06-28 20:17:00 PDT
Comment on attachment 454715 [details] [diff] [review]
version bumps for mozilla-central to 4.0b2pre/2.0b2pre

http://hg.mozilla.org/mozilla-central/rev/0483e52295f6
Comment 16 User image [not reading bugmail] 2010-06-28 22:17:32 PDT
Tried rev from comment 15, wfm!

Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:2.0b2pre) Gecko/20100628 Minefield/4.0b2pre
Comment 17 User image Rail Aliiev [:rail] ⌚️ET 2010-06-28 23:57:06 PDT
Created attachment 454784 [details] [diff] [review]
Fix update verify configs
Comment 18 User image John O'Duinn [:joduinn] (please use "needinfo?" flag) 2010-06-29 00:17:13 PDT
Comment on attachment 454784 [details] [diff] [review]
Fix update verify configs

buildIDs and locations look good, afaict. 

NOTE: before we do FF4.0b2, we need to cleanup using "release/updates/moz193-*.cfg"; now that the branch is going to be called mozilla-20, maybe these files should be moz20-*.cfg ?
Comment 19 User image Nick Thomas [:nthomas] 2010-06-29 00:39:43 PDT
Comment on attachment 454784 [details] [diff] [review]
Fix update verify configs

http://hg.mozilla.org/build/tools/rev/470fa4c5195e
Comment 20 User image Reed Loden [:reed] (use needinfo?) 2010-06-29 01:11:02 PDT
Comment on attachment 454718 [details] [diff] [review]
automation bumps for 4.0b1 (v2)

>-releaseNotesUrl    = 'http://www.mozilla.org/projects/devpreview/releasenotes/'
>+releaseNotesUrl    = 'http://www.mozilla.com/firefox/4.0b1/releasenotes'

Would have been nice to have the ending slash...
Comment 21 User image Nick Thomas [:nthomas] 2010-06-29 01:27:30 PDT
(In reply to comment #20)
> Would have been nice to have the ending slash...

We can fix it for build2/4.0b2, but given the slashless version still redirects to http://www.mozilla.com/firefox/4.0b1/releasenotes I don't think there's any need to regenerate snippets for build1.
Comment 22 User image Nick Thomas [:nthomas] 2010-06-29 01:31:46 PDT
And if we're fixing it then 
  http://www.mozilla.com/%locale%/firefox/4.0/releasenotes/
would match what we've done in the past.
Comment 23 User image Nick Thomas [:nthomas] 2010-06-29 01:32:20 PDT
Or even
  http://www.mozilla.com/%locale%/firefox/4.0b1/releasenotes/
Comment 24 User image Rail Aliiev [:rail] ⌚️ET 2010-06-29 07:34:00 PDT
Created attachment 454859 [details] [diff] [review]
build2 configs
Comment 25 User image Rail Aliiev [:rail] ⌚️ET 2010-06-29 07:56:29 PDT
Created attachment 454862 [details] [diff] [review]
Disable update verify bump

I'd additionally disable ReleaseUpdatesFactory.bumpVerifyConfigs() (just to avoid manual fixing like in https://bugzilla.mozilla.org/attachment.cgi?id=454784) and use the next patch for update verify configs.

This patch shouldn't go to the repo, just need to be applied on the master.
Comment 26 User image Rail Aliiev [:rail] ⌚️ET 2010-06-29 07:58:03 PDT
Created attachment 454863 [details] [diff] [review]
Build2 update verify patch

This patch should be landed before update verify builders run.
Comment 27 User image Chris AtLee [:catlee] 2010-06-30 12:11:52 PDT
Comment on attachment 454859 [details] [diff] [review]
build2 configs

2645:212df210f31b
Comment 28 User image Chris AtLee [:catlee] 2010-06-30 12:23:56 PDT
Comment on attachment 454863 [details] [diff] [review]
Build2 update verify patch

666:10b1787feb65
Comment 29 User image Nick Thomas [:nthomas] 2010-07-06 15:51:48 PDT
Build tag-team completes another mission.

Note You need to log in before you can comment on or make changes to this bug.